./wip/ispell-dictionaries, meta-package for ispell spell checker dictionaries

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0nb1, Package name: ispell-dictionaries-1.0nb1, Maintainer: pkgsrc-users

Ispell is a fast screen-oriented spelling checker that shows you your errors in
the context of the original file, and suggests possible corrections when it can
figure them out.

This package does not contain anything by itself - it is a "meta-package" that
depends on other aspell packages. Its sole purpose is to require dependencies so
users can install this package only and have all the ispell stuff (or what is
set in PKG_OPTIONS.ispell-dictionaries) pulled in by the package dependency
mechanism.


Required to run:
[textproc/ispell-sv] [textproc/ispell-lt] [textproc/ispell-en_GB] [textproc/ispell-ga] [textproc/ispell] [textproc/ispell-ca] [textproc/ispell-de] [textproc/ispell-es] [textproc/ispell-ro] [textproc/ispell-sk] [textproc/ispell-pl] [textproc/ispell-fr] [textproc/ispell-ru-io] [textproc/ispell-ru]

Required to build:
[pkgtools/cwrappers]

Package options: lang-ca, lang-de, lang-en-gb, lang-es, lang-fr, lang-ga, lang-lt, lang-pl, lang-ro, lang-ru, lang-ru-io, lang-sk, lang-sv

Version history: (Expand)


CVS history: (Expand)


   2013-06-02 09:36:00 by Krister Walfridsson | Files touched by this commit (1) | Package updated
Log message:
ispell-en_GB name was changed to ispell-british in pkgsrc; update DEPENDS.
   2013-04-24 05:09:40 by othyro | Files touched by this commit (5)
Log message:
ispell-lietuviu imported into pkgsrc HEAD as textproc/ispell-lt. Removing.
   2013-04-24 04:27:59 by othyro | Files touched by this commit (3) | Package updated
Log message:
Updated to reflect move in textproc/ispell* packages. Bump PKGREVISION.
   2012-11-11 23:16:17 by othyro | Files touched by this commit (1)
Log message:
Renamed options in accordance with mk/defaults/options.description.
Reordered.
   2012-11-11 23:01:12 by othyro | Files touched by this commit (1)
Log message:
LICENSE=	# blank
   2012-09-30 07:44:14 by Aleksej Saushev | Files touched by this commit (35)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
Mark packages that don't or might probably not have staged installation.
   2009-11-15 03:45:26 by othyro | Files touched by this commit (4) | Imported package
Log message:
Ispell is a fast screen-oriented spelling checker that shows you your errors in
the context of the original file, and suggests possible corrections when it can
figure them out.

This package does not contain anything by itself - it is a \ 
"meta-package" that
depends on other aspell packages. Its sole purpose is to require dependencies so
users can install this package only and have all the ispell stuff (or what is
set in PKG_OPTIONS.ispell-dictionaries) pulled in by the package dependency
mechanism.

This package is different from the other packages in pkgsrc/meta-pkgs. It's
possible to build everything by default, as the meta-pkgs currently function, or
PKG_OPTIONS.ispell-dictionaries can be set to pull in only certain dictionaries.
This is meant to save an admin time by just cd'ing to
pkgsrc/wip/ispell-dictionaries, running `bmake; bmake install' and going away to
do other important things like eating, drinking, and other forms of hedonism.

Currently, with meta-pkgs, it's all or nothing. Utilizing the options.mk
framework which exists in pkgsrc, it's not necessary to install any other
packages or write and maintain any additional configuration files to accomplish
this task, and at the same time not having to monitor and execute the build of
all the package required. This package also makes use of ispell dictionary in
pkgsrc-wip.